<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>QSPIFlash Driver External Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">QSPIFlash Driver External Functions</div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the exported API which the applications need to invoke in order to use the driver.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga94aa45edbab024db93e760c1693b3d5a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga94aa45edbab024db93e760c1693b3d5a">QSPIFlash_getDeviceID</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, SPIFLASH_devID *devId)</td></tr>
<tr class="separator:ga94aa45edbab024db93e760c1693b3d5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8ba53757ffe1d6927d7c10a6bea7f2a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf8ba53757ffe1d6927d7c10a6bea7f2a">QSPIFlash_writeEnable</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:gaf8ba53757ffe1d6927d7c10a6bea7f2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04daf89ca77fbd430ddccee8bf43ed96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga04daf89ca77fbd430ddccee8bf43ed96">QSPIFlash_writeDisable</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga04daf89ca77fbd430ddccee8bf43ed96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga623161a5fb1acfa14cd2efdaf632726d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga623161a5fb1acfa14cd2efdaf632726d">QSPIFlash_progQuadRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga623161a5fb1acfa14cd2efdaf632726d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga735d94679ca93b3bad68b09d5323273d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga735d94679ca93b3bad68b09d5323273d">QSPIFlash_clearBlockProtectBits</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga735d94679ca93b3bad68b09d5323273d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a93c591c798e9150dd335c038691a31"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0a93c591c798e9150dd335c038691a31">QSPIFlash_singleRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t memAddr, uint32_t dataLen, uint8_t *userDataBuf)</td></tr>
<tr class="separator:ga0a93c591c798e9150dd335c038691a31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5e75d1dab0f57b4d3ac3dfa5753d02c"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac5e75d1dab0f57b4d3ac3dfa5753d02c">QSPIFlash_mmapRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, const uint32_t *memAddr, uint32_t dataLen, uint32_t *userDataBuf)</td></tr>
<tr class="separator:gac5e75d1dab0f57b4d3ac3dfa5753d02c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f736fdaa3adb679ea029781498ca25b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7f736fdaa3adb679ea029781498ca25b">QSPIFlash_singleWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t memAddr, uint32_t dataLen, uint8_t *srcDataAddr)</td></tr>
<tr class="separator:ga7f736fdaa3adb679ea029781498ca25b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacf22957e5ee0b0b4e4a8e5008de5d6e3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacf22957e5ee0b0b4e4a8e5008de5d6e3">QSPIFlash_mmapWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, const uint32_t *memAddr, uint32_t dataLen, uint32_t *srcDataAddr)</td></tr>
<tr class="separator:gacf22957e5ee0b0b4e4a8e5008de5d6e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4da1932c9a30618e5373766a0c4a0f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac4da1932c9a30618e5373766a0c4a0f5">QSPIFlash_configMmapRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, <a class="el" href="qspiflash_8h.html#aa4a5c3e4f93e3ee65cfce1ad83df6cc0">FLASH_READ_MODE</a> mode)</td></tr>
<tr class="separator:gac4da1932c9a30618e5373766a0c4a0f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf055ccb829f268bb7b7e3ed80ee87e0f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf055ccb829f268bb7b7e3ed80ee87e0f">QSPIFlash_configMmapWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:gaf055ccb829f268bb7b7e3ed80ee87e0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad422bdefb5e551c01e9d9fc7a5052fd6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad422bdefb5e551c01e9d9fc7a5052fd6">QSPIFlash_sectorErase</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t addr)</td></tr>
<tr class="separator:gad422bdefb5e551c01e9d9fc7a5052fd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaade7d5117607367b78d574f43792a051"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaade7d5117607367b78d574f43792a051">QSPIFlash_blockErase</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t addr)</td></tr>
<tr class="separator:gaade7d5117607367b78d574f43792a051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1cb555b4298538f7c1a965b9c79c55ad"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1cb555b4298538f7c1a965b9c79c55ad">QSPIFlash_chipErase</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga1cb555b4298538f7c1a965b9c79c55ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3dfffa9b307d21087b3f11f44b6730f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3dfffa9b307d21087b3f11f44b6730f9">QSPIFlash_init</a> (void)</td></tr>
<tr class="separator:ga3dfffa9b307d21087b3f11f44b6730f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e56314ac09f1354b94593c45bddc857"><td class="memItemLeft" align="right" valign="top"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8e56314ac09f1354b94593c45bddc857">QSPIFlash_open</a> (QSPI_Handle QSPIHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga8e56314ac09f1354b94593c45bddc857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ac7e5973d3e7253f379ae6fae0c400a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0ac7e5973d3e7253f379ae6fae0c400a">QSPIFlash_close</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga0ac7e5973d3e7253f379ae6fae0c400a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2440543dd1a2fa76b4b94cc2808a3978"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2440543dd1a2fa76b4b94cc2808a3978">QSPIFlash_getExtFlashAddr</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga2440543dd1a2fa76b4b94cc2808a3978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b9c830818b1455c0b086e7dc16abc22"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2b9c830818b1455c0b086e7dc16abc22">QSPIFlash_sysDmaWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, DMA_Handle dmaHandle, uint32_t dmaChan, uint32_t srcAddr, uint32_t dstAddr, uint32_t dataLen)</td></tr>
<tr class="separator:ga2b9c830818b1455c0b086e7dc16abc22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6b114479aabb901978937a25bf1790b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae6b114479aabb901978937a25bf1790b">QSPIFlash_sysDmaRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, DMA_Handle dmaHandle, uint32_t dmaChan, uint32_t srcAddr, uint32_t dstAddr, uint32_t dataLen)</td></tr>
<tr class="separator:gae6b114479aabb901978937a25bf1790b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the exported API which the applications need to invoke in order to use the driver. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gaade7d5117607367b78d574f43792a051"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t QSPIFlash_blockErase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>addr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function erases a 64K block.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address of the 64KB block to be erased</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1cb555b4298538f7c1a965b9c79c55ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t QSPIFlash_chipErase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function erases the complete flash.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga735d94679ca93b3bad68b09d5323273d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlash_clearBlockProtectBits </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function clears the block protection bits</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0ac7e5973d3e7253f379ae6fae0c400a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t QSPIFlash_close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function closes QSPI Flash driver and resources used by the driver</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Handle to the QSPI flash driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>return 0 Failure return error Code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac4da1932c9a30618e5373766a0c4a0f5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlash_configMmapRead </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#aa4a5c3e4f93e3ee65cfce1ad83df6cc0">FLASH_READ_MODE</a>&#160;</td>
          <td class="paramname"><em>mode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function sets up configuration for memory-map write</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mode</td><td>Mode of the memory mapped read</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaf055ccb829f268bb7b7e3ed80ee87e0f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlash_configMmapWrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function sets up configuration for memory-map write</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga94aa45edbab024db93e760c1693b3d5a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlash_getDeviceID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SPIFLASH_devID *&#160;</td>
          <td class="paramname"><em>devId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function gets flash device information</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">devId</td><td>Pointer to Deviece id structure</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga2440543dd1a2fa76b4b94cc2808a3978"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t QSPIFlash_getExtFlashAddr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function returns Base address of the External Flash</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Handle to the QSPI flash driver object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">External</td><td>flash Address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga3dfffa9b307d21087b3f11f44b6730f9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlash_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function inits QSPI Flash driver</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac5e75d1dab0f57b4d3ac3dfa5753d02c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t QSPIFlash_mmapRead </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint32_t *&#160;</td>
          <td class="paramname"><em>memAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>userDataBuf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function reads from QSPI flash in memory mapped mode</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">memAddr</td><td>Flash memory mapped address </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLen</td><td>Length of data in double words </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">userDataBuf</td><td>Pointer to the data buffer to save flash data</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">=0</td><td>Successful read &lt;0 Error code when read failed </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gacf22957e5ee0b0b4e4a8e5008de5d6e3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t QSPIFlash_mmapWrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint32_t *&#160;</td>
          <td class="paramname"><em>memAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>srcDataAddr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function writes to Flash in memory mapped mode</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">memAddr</td><td>memory mapped flash address </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLen</td><td>Data length in double words </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">srcDataAddr</td><td>Data buffer Pointer to copy data from</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">=0</td><td>Successful write &lt;0 Error code when write failed </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8e56314ac09f1354b94593c45bddc857"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlash_open </td>
          <td>(</td>
          <td class="paramtype">QSPI_Handle&#160;</td>
          <td class="paramname"><em>QSPIHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function opens QSPI Flash driver, can get flash device infomation</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIHandle</td><td>Handle to the QSPI driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">errCode</td><td>Error code to be populated by the driver in case of error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>QSPIFlash handle Failure NULL pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga623161a5fb1acfa14cd2efdaf632726d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlash_progQuadRead </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function prepares the serial flash for quad interface operation</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad422bdefb5e551c01e9d9fc7a5052fd6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t QSPIFlash_sectorErase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>addr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function erases a flash sector.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address of the sector to be erased</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0a93c591c798e9150dd335c038691a31"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t QSPIFlash_singleRead </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>memAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>userDataBuf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function does single read in config mode</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">memAddr</td><td>Flash address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLen</td><td>dataLen - data length in bytes </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">userDataBuf</td><td>Pointer to the data to be written.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7f736fdaa3adb679ea029781498ca25b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlash_singleWrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>memAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>srcDataAddr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function does a single byte Flash write in config mode</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">memAddr</td><td>Flash memory mapped address </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLen</td><td>Length of data in bytes </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">srcDataAddr</td><td>Data buffer pointer to copy data from</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae6b114479aabb901978937a25bf1790b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t QSPIFlash_sysDmaRead </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">DMA_Handle&#160;</td>
          <td class="paramname"><em>dmaHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dmaChan</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>srcAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dstAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLen</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function sets up DMA read</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Handle to the QSPI flash driver object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaHandle</td><td>Handle to DMA driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaChan</td><td>DMA channel number used for the DMA read </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">srcAddr</td><td>Flash source address of the read operation, address should be double word aligned </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dstAddr</td><td>Destination address of the read operation , address should be double word aligned </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLen</td><td>Data length of the DMA read in double words</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">=0</td><td>Data is read successfully &lt;0 Error code for DMA read operation </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga2b9c830818b1455c0b086e7dc16abc22"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t QSPIFlash_sysDmaWrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">DMA_Handle&#160;</td>
          <td class="paramname"><em>dmaHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dmaChan</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>srcAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dstAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLen</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function sets up DMA write, and transfer data from user buffer to flash</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Handle to the QSPI flash driver object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaHandle</td><td>Handle to DMA driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaChan</td><td>DMA channel number used for the DMA read </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">srcAddr</td><td>User buffer address of the write operation, address should be double word aligned </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dstAddr</td><td>Flash address of the write operation , address should be double word aligned </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLen</td><td>Data length of the DMA read in double words</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">=0</td><td>Data is written successfully &lt;0 Error code for DMA write operation </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga04daf89ca77fbd430ddccee8bf43ed96"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlash_writeDisable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function disables write to flash.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaf8ba53757ffe1d6927d7c10a6bea7f2a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlash_writeEnable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function enables write to flash. It is needed before erase and page program operation.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
